Loading...
Searching...
No Matches
ON_BezierCage Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_bezier.h>`

## Public Member Functions

| ON_BezierCage ()
| ON_BezierCage (int dim, bool is_rat, int order0, int order1, int order2)
| ON_BezierCage (const ON_BoundingBox &bbox, int order0, int order1, int order2)
| ON_BezierCage (const ON_3dPoint *box_corners, int order0, int order1, int order2)
| ~ON_BezierCage ()
| ON_BezierCage (const ON_BezierCage &src)
ON_BezierCage & | operator= (const ON_BezierCage &src)
bool | IsValid () const
void | Dump (ON_TextLog &text_log) const
int | Dimension () const
bool | Create (int dim, bool is_rat, int order0, int order1, int order2)
bool | Create (const ON_BoundingBox &bbox, int order0, int order1, int order2)
bool | Create (const ON_3dPoint *box_corners, int order0, int order1, int order2)
void | Destroy ()
void | EmergencyDestroy ()
bool | Read (ON_BinaryArchive &archive)
bool | Write (ON_BinaryArchive &archive) const
bool | GetBBox (double *boxmin, double *boxmax, int bGrowBox=false) const
bool | Transform (const ON_Xform &xform)
bool | Rotate (double sin_angle, double cos_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
bool | Rotate (double rotation_angle, const ON_3dVector &rotation_axis, const ON_3dPoint &rotation_center)
bool | Translate (const ON_3dVector &translation_vector)
bool | Scale (double scale_factor)
ON_Interval | Domain (int) const
bool | Evaluate (double r, double s, double t, int der_count, int v_stride, double *v) const
ON_3dPoint | PointAt (double r, double s, double t) const
ON_3dPoint | PointAt (ON_3dPoint rst) const
bool | IsRational () const
bool | IsSingular (int) const
int | CVSize () const
int | Order (int) const
int | Degree (int) const
double * | CV (int i, int j, int k) const
ON::point_style | CVStyle () const
double | Weight (int i, int j, int k) const
bool | SetWeight (int i, int j, int k, double w)
bool | SetCV (int i, int j, int k, ON::point_style, const double *)
bool | SetCV (int i, int j, int k, const ON_3dPoint &point)
bool | SetCV (int i, int j, int k, const ON_4dPoint &hpoint)
bool | GetCV (int i, int j, int k, ON::point_style, double *) const
bool | GetCV (int i, int j, int k, ON_3dPoint &) const
bool | GetCV (int i, int j, int k, ON_4dPoint &) const
bool | ZeroCVs ()
bool | MakeRational ()
bool | MakeNonRational ()
bool | ReserveCVCapacity (int cv_capacity)

## Public Attributes

int | m_dim
bool | m_is_rat
int | m_order [3]
int | m_cv_stride [3]
int | m_cv_capacity
double * | m_cv

## Detailed Description

Definition at line 1313 of file opennurbs_bezier.h.

## Constructor & Destructor Documentation

## ON_BezierCage() [1/5]

ON_BezierCage::ON_BezierCage | ( |  | ) |

## ON_BezierCage() [2/5]

ON_BezierCage::ON_BezierCage | ( | int | dim,
|  | bool | is_rat,
|  | int | order0,
|  | int | order1,
|  | int | order2
| ) |  |

## ON_BezierCage() [3/5]

ON_BezierCage::ON_BezierCage | ( | const ON_BoundingBox & | bbox,
|  | int | order0,
|  | int | order1,
|  | int | order2
| ) |  |

## ON_BezierCage() [4/5]

ON_BezierCage::ON_BezierCage | ( | const ON_3dPoint * | box_corners,
|  | int | order0,
|  | int | order1,
|  | int | order2
| ) |  |

## ~ON_BezierCage()

ON_BezierCage::~ON_BezierCage | ( |  | ) |

## ON_BezierCage() [5/5]

ON_BezierCage::ON_BezierCage | ( | const ON_BezierCage & | src | ) |

## Member Function Documentation

## Create() [1/3]

bool ON_BezierCage::Create | ( | const ON_3dPoint * | box_corners,
|  | int | order0,
|  | int | order1,
|  | int | order2
| ) |  |

## Create() [2/3]

bool ON_BezierCage::Create | ( | const ON_BoundingBox & | bbox,
|  | int | order0,
|  | int | order1,
|  | int | order2
| ) |  |

## Create() [3/3]

bool ON_BezierCage::Create | ( | int | dim,
|  | bool | is_rat,
|  | int | order0,
|  | int | order1,
|  | int | order2
| ) |  |

## CV()

double * ON_BezierCage::CV | ( | int | i,
|  | int | j,
|  | int | k
| ) |  | const

## CVSize()

int ON_BezierCage::CVSize | ( |  | ) | const

## CVStyle()

ON::point_style ON_BezierCage::CVStyle | ( |  | ) | const

## Degree()

int ON_BezierCage::Degree | ( | int |  | ) | const

## Destroy()

void ON_BezierCage::Destroy | ( |  | ) |

## Dimension()

int ON_BezierCage::Dimension | ( |  | ) | const

## Domain()

ON_Interval ON_BezierCage::Domain | ( | int |  | ) | const

## Dump()

void ON_BezierCage::Dump | ( | ON_TextLog & | text_log | ) | const

## EmergencyDestroy()

void ON_BezierCage::EmergencyDestroy | ( |  | ) |

## Evaluate()

bool ON_BezierCage::Evaluate | ( | double | r,
|  | double | s,
|  | double | t,
|  | int | der_count,
|  | int | v_stride,
|  | double * | v
| ) |  | const

## GetBBox()

bool ON_BezierCage::GetBBox | ( | double * | boxmin,
|  | double * | boxmax,
|  | int | bGrowBox = `false`
| ) |  | const

## GetCV() [1/3]

bool ON_BezierCage::GetCV | ( | int | i,
|  | int | j,
|  | int | k,
|  | ON::point_style | ,
|  | double * |
| ) |  | const

## GetCV() [2/3]

bool ON_BezierCage::GetCV | ( | int | i,
|  | int | j,
|  | int | k,
|  | ON_3dPoint & |
| ) |  | const

## GetCV() [3/3]

bool ON_BezierCage::GetCV | ( | int | i,
|  | int | j,
|  | int | k,
|  | ON_4dPoint & |
| ) |  | const

## IsRational()

bool ON_BezierCage::IsRational | ( |  | ) | const

## IsSingular()

bool ON_BezierCage::IsSingular | ( | int |  | ) | const

## IsValid()

bool ON_BezierCage::IsValid | ( |  | ) | const

## MakeNonRational()

bool ON_BezierCage::MakeNonRational | ( |  | ) |

## MakeRational()

bool ON_BezierCage::MakeRational | ( |  | ) |

## operator=()

ON_BezierCage & ON_BezierCage::operator= | ( | const ON_BezierCage & | src | ) |

## Order()

int ON_BezierCage::Order | ( | int |  | ) | const

## PointAt() [1/2]

ON_3dPoint ON_BezierCage::PointAt | ( | double | r,
|  | double | s,
|  | double | t
| ) |  | const

## PointAt() [2/2]

ON_3dPoint ON_BezierCage::PointAt | ( | ON_3dPoint | rst | ) | const

## Read()

bool ON_BezierCage::Read | ( | ON_BinaryArchive & | archive | ) |

## ReserveCVCapacity()

bool ON_BezierCage::ReserveCVCapacity | ( | int | cv_capacity | ) |

## Rotate() [1/2]

bool ON_BezierCage::Rotate | ( | double | rotation_angle,
|  | const ON_3dVector & | rotation_axis,
|  | const ON_3dPoint & | rotation_center
| ) |  |

## Rotate() [2/2]

bool ON_BezierCage::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | rotation_axis,
|  | const ON_3dPoint & | rotation_center
| ) |  |

## Scale()

bool ON_BezierCage::Scale | ( | double | scale_factor | ) |

## SetCV() [1/3]

bool ON_BezierCage::SetCV | ( | int | i,
|  | int | j,
|  | int | k,
|  | const ON_3dPoint & | point
| ) |  |

## SetCV() [2/3]

bool ON_BezierCage::SetCV | ( | int | i,
|  | int | j,
|  | int | k,
|  | const ON_4dPoint & | hpoint
| ) |  |

## SetCV() [3/3]

bool ON_BezierCage::SetCV | ( | int | i,
|  | int | j,
|  | int | k,
|  | ON::point_style | ,
|  | const double * |
| ) |  |

## SetWeight()

bool ON_BezierCage::SetWeight | ( | int | i,
|  | int | j,
|  | int | k,
|  | double | w
| ) |  |

## Transform()

bool ON_BezierCage::Transform | ( | const ON_Xform & | xform | ) |

## Translate()

bool ON_BezierCage::Translate | ( | const ON_3dVector & | translation_vector | ) |

## Weight()

double ON_BezierCage::Weight | ( | int | i,
|  | int | j,
|  | int | k
| ) |  | const

## Write()

bool ON_BezierCage::Write | ( | ON_BinaryArchive & | archive | ) | const

## ZeroCVs()

bool ON_BezierCage::ZeroCVs | ( |  | ) |

## Member Data Documentation

## m_cv

double* ON_BezierCage::m_cv

Definition at line 1798 of file opennurbs_bezier.h.

## m_cv_capacity

int ON_BezierCage::m_cv_capacity

Definition at line 1797 of file opennurbs_bezier.h.

## m_cv_stride

int ON_BezierCage::m_cv_stride[3]

Definition at line 1796 of file opennurbs_bezier.h.

## m_dim

int ON_BezierCage::m_dim

Definition at line 1793 of file opennurbs_bezier.h.

## m_is_rat

bool ON_BezierCage::m_is_rat

Definition at line 1794 of file opennurbs_bezier.h.

## m_order

int ON_BezierCage::m_order[3]

Definition at line 1795 of file opennurbs_bezier.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_bezier.h